package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import me.qwq.doghouse.annotation.StaticAttribute;

/**
 * 标记为垃圾或失败后的动作
 **/
@StaticAttribute
public enum CommentActionAfter implements IQueryableEnum {

    NONE(0,"无动作"),
    BLOCK_IP(1,"添加到屏蔽IP列表"),
    BLOCK_EMAIL(2,"添加到屏蔽邮箱列表"),
    BOTH(3, "屏蔽IP和邮箱");

    @EnumValue
    private final int status;
    private final String note;

    CommentActionAfter(int status, String note) {
        this.status = status;
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public int getStatus() {
        return status;
    }
}
